jQuery(function($){
    $('.articles-preview__show-next').click(function(){
        var button = $(this),
            data = {
                'action': 'loadmore',
                'query': my_load_more_params.posts,
                'page' : my_load_more_params.current_page
            };

        $.ajax({
            url : my_load_more_params.ajaxurl,
            data : data,
            type : 'POST',
            beforeSend : function ( xhr ) {
                button.text('Загрузка...'); // изменяем текст кнопки
            },
            success : function( data ){
                if( data ) { 
                    button.text('Еще новости');
                    $('.articles-preview').append(data);
                    my_load_more_params.current_page++;

                    if ( my_load_more_params.current_page == my_load_more_params.max_page ) 
                        button.remove(); // если последняя страница, удаляем кнопку
                } else {
                    button.remove(); // если мы достигли конца, удаляем кнопку
                }
            }
        });
    });
});
